Subject: Re: linux-next: manual merge of the crypto tree

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 28 Aug 2008 10:52:41 -0700

Ingo Molnar wrote:
>>
>> 1. rename all the feature bits which have inconsistent names in their
>>    #defines and in /proc/cpuinfo;
>> 2. generate the /proc/cpuinfo table
>>    (arch/x86/kernel/cpu/feature_names.c) automatically from
>>    cpufeature.h.
>>
>> 2. is quite trivial, and 1. can be done largely automatically.  I will  
>> experiment with this.
> 
> i see you committed that into tip/x86/cpu - i just integrated that into 
> tip/master and pushed out the result. This way starting at v2.6.28 we'll 
> have only a single, non-redundant definition for CPU feature 
> information, from which we auto-generate the rest.
> 

I did #2; I haven't done #1, since that's an all-sourcebase change; it 
would probably make most sense to do at (approximately) the same time we 
do the include/asm-x86 -> arch/x86/include change.

	-hpa